---
title: "Create a Return"
description: "Open API to create return orders"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/return-order/create-a-return'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/return-order/create-a-return.md'
---
# Create a Return

Open API to create return orders

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_return`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /return/create.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_return`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `return_line_items`

  array<object>

  Return Product line information

  * `return_reason`

    string

     The return reasons for the product line: COLOR(Incorrect color), DEFECTIVE(Product is damaged or defective), NOT_AS_DESCRIBED(Product does not match the description), OTHER(Other reasons), SIZE_TOO_LARGE(Size is too large), SIZE_TOO_SMALL(Size is too small), STYLE(Issues with the style), UNWANTED(Customer changed their mind), WRONG_ITEM(Received the wrong item)

  * `return_reason_note`

    string

    Product line return reason detailed notes, maximum 128 characters supported.

  * `fulfillment_id`

    string

    Invoice number

  * `line_item_id`

    string

    Product row id

  * `quantity`

    integer

    Return Product quantity

* `return_reason`

  string

  Return reason

* `notify_customer`

  boolean

  Message the return to the consumer true ( notification ) or not \false ( not notification )

* `order_seq`

  string

  Order number

* `processed_at`

  string

  Actual time of return occurrence, format: 2023-04-12T22:59:52+08:00

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `return`

  object

  Return order information

  * `status`

    string

    Return order status ; open ( in return ) , CLOSED ( returned goods are completed and refunded is completed )

  * `created_at`

    string

    Return order creation time

  * `id`

    string

    Return id

  * `order_id`

    string

    Order id

  * `return_line_items`

    array<object>

    Return listing

    * `fulfillment_id`

      string

      Invoice number associated with return order

    * `fulfillment_line_item`

      object

      Shipping message for return list association

      * `line_item`

        object

        Invoice Product line information

      * `quantity`

        integer

        Shipping quantity of invoice

    * `id`

      string

      Return Product line number

    * `quantity`

      integer

      Return order Product number of returns

  * `return_reason`

    string

    Return reason


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Open API to create return orders",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_return` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "aKOAIdAe",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "return_line_items": {
              "name": "return_line_items",
              "description": "Return Product line information",
              "type": "array",
              "items": {
                "name": "return_line_items",
                "description": "Return Product line information",
                "type": "object",
                "properties": {
                  "return_reason": {
                    "name": "return_reason",
                    "description": " The return reasons for the product line: COLOR(Incorrect color), DEFECTIVE(Product is damaged or defective), NOT_AS_DESCRIBED(Product does not match the description), OTHER(Other reasons), SIZE_TOO_LARGE(Size is too large), SIZE_TOO_SMALL(Size is too small), STYLE(Issues with the style), UNWANTED(Customer changed their mind), WRONG_ITEM(Received the wrong item)",
                    "type": "string",
                    "example": "NOT_AS_DESCRIBED"
                  },
                  "return_reason_note": {
                    "name": "return_reason_note",
                    "description": "Product line return reason detailed notes, maximum 128 characters supported.",
                    "type": "string",
                    "example": "Product does not match the description"
                  },
                  "fulfillment_id": {
                    "name": "fulfillment_id",
                    "description": "Invoice number",
                    "type": "string",
                    "example": "23131"
                  },
                  "line_item_id": {
                    "name": "line_item_id",
                    "description": "Product row id",
                    "type": "string",
                    "example": "12321"
                  },
                  "quantity": {
                    "name": "quantity",
                    "description": "Return Product quantity",
                    "type": "integer",
                    "example": 2
                  }
                },
                "required": [
                  "fulfillment_id",
                  "line_item_id",
                  "quantity"
                ],
                "example": {
                  "line_item_id": "12321",
                  "quantity": 2,
                  "return_reason": "NOT_AS_DESCRIBED",
                  "return_reason_note": "Product does not match the description",
                  "fulfillment_id": "23131"
                }
              },
              "example": [
                {
                  "quantity": 2,
                  "return_reason": "NOT_AS_DESCRIBED",
                  "return_reason_note": "Product does not match the description",
                  "fulfillment_id": "23131",
                  "line_item_id": "12321"
                }
              ]
            },
            "return_reason": {
              "name": "return_reason",
              "description": "Return reason",
              "type": "string",
              "example": "7 days no reason"
            },
            "notify_customer": {
              "name": "notify_customer",
              "description": "Message the return to the consumer true ( notification ) or not \\false ( not notification )",
              "type": "boolean",
              "example": true
            },
            "order_seq": {
              "name": "order_seq",
              "description": "Order number",
              "type": "string",
              "example": "2132131231231"
            },
            "processed_at": {
              "name": "processed_at",
              "description": "Actual time of return occurrence, format: 2023-04-12T22:59:52+08:00",
              "type": "string",
              "example": "2023-04-12T22:59:52+08:00"
            }
          },
          "required": [
            "notify_customer",
            "order_seq",
            "return_line_items"
          ],
          "example": {
            "processed_at": "2023-04-12T22:59:52+08:00",
            "return_line_items": [
              {
                "line_item_id": "12321",
                "quantity": 2,
                "return_reason": "NOT_AS_DESCRIBED",
                "return_reason_note": "Product does not match the description",
                "fulfillment_id": "23131"
              }
            ],
            "return_reason": "7 days no reason",
            "notify_customer": true,
            "order_seq": "2132131231231"
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "return": {
                "name": "return",
                "description": "Return order information",
                "type": "object",
                "properties": {
                  "status": {
                    "name": "status",
                    "description": "Return order status ; open ( in return ) , CLOSED ( returned goods are completed and refunded is completed )",
                    "type": "string",
                    "example": "OPEN"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "Return order creation time",
                    "type": "string",
                    "example": "2022-11-04T10:18:46+00:00"
                  },
                  "id": {
                    "name": "id",
                    "description": "Return id",
                    "type": "string",
                    "example": "2605860580357012238342"
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "Order id",
                    "type": "string",
                    "example": "21058605762597644309430942"
                  },
                  "return_line_items": {
                    "name": "return_line_items",
                    "description": "Return listing",
                    "type": "array",
                    "items": {
                      "name": "return_line_items",
                      "description": "Return listing",
                      "type": "object",
                      "properties": {
                        "fulfillment_id": {
                          "name": "fulfillment_id",
                          "description": "Invoice number associated with return order",
                          "type": "string",
                          "example": "22058605790725653626950942"
                        },
                        "fulfillment_line_item": {
                          "name": "fulfillment_line_item",
                          "description": "Shipping message for return list association",
                          "type": "object",
                          "properties": {
                            "line_item": {
                              "name": "line_item",
                              "description": "Invoice Product line information",
                              "type": "object",
                              "properties": {
                                "title": {
                                  "name": "title",
                                  "description": "Gpu Product title",
                                  "type": "string",
                                  "example": "It's good Product"
                                },
                                "properties": {
                                  "name": "properties",
                                  "description": "Product customization information",
                                  "type": "array",
                                  "items": {
                                    "name": "properties",
                                    "description": "Product customization information",
                                    "type": "object",
                                    "properties": {
                                      "value": {
                                        "name": "value",
                                        "description": "Customized information content",
                                        "type": "string",
                                        "example": "Freedom"
                                      },
                                      "name": {
                                        "name": "name",
                                        "description": "Custom information object",
                                        "type": "string",
                                        "example": "Text"
                                      },
                                      "type": {
                                        "name": "type",
                                        "description": "Custom information type : text、picture、link 1 ) when type is text , take name and value ;2 ) when type is picture , the display type is name , and the details of the thumb of urls to obtain Product 3 ) when type is link , support click urls to use the picture .",
                                        "type": "string",
                                        "example": "text"
                                      },
                                      "urls": {
                                        "name": "urls",
                                        "description": "Address link information",
                                        "type": "array",
                                        "items": {
                                          "name": "urls",
                                          "description": "Address link information",
                                          "type": "string",
                                          "example": "https://image.shopline.com"
                                        },
                                        "example": [
                                          "https://image.shopline.com"
                                        ]
                                      }
                                    },
                                    "example": {
                                      "name": "Text",
                                      "type": "text",
                                      "urls": [
                                        "https://image.shopline.com"
                                      ],
                                      "value": "Freedom"
                                    }
                                  },
                                  "example": [
                                    {
                                      "value": "Freedom",
                                      "name": "Text",
                                      "type": "text",
                                      "urls": [
                                        "https://image.shopline.com"
                                      ]
                                    }
                                  ]
                                },
                                "id": {
                                  "name": "id",
                                  "description": "Product row id",
                                  "type": "string",
                                  "example": "405"
                                },
                                "tags": {
                                  "name": "tags",
                                  "description": "Product tag , separated by ',' when there are multiple",
                                  "type": "string",
                                  "example": "sales"
                                },
                                "variant_id": {
                                  "name": "variant_id",
                                  "description": "Product SKU serial number",
                                  "type": "string",
                                  "example": "18056898121355865678441487"
                                },
                                "tax_lines": {
                                  "name": "tax_lines",
                                  "description": "Product tax details",
                                  "type": "array",
                                  "items": {
                                    "name": "tax_lines",
                                    "description": "Product tax details",
                                    "type": "object",
                                    "properties": {
                                      "title": {
                                        "name": "title",
                                        "description": "Tax name",
                                        "type": "string",
                                        "example": "CNMP"
                                      },
                                      "price": {
                                        "name": "price",
                                        "description": "Tax amount",
                                        "type": "string",
                                        "example": "18.00"
                                      },
                                      "price_set": {
                                        "name": "price_set",
                                        "description": "Tax amount measured in store currency and transaction currency",
                                        "type": "object",
                                        "properties": {
                                          "presentment_money": {
                                            "name": "presentment_money",
                                            "description": "Transaction currency",
                                            "type": "object",
                                            "properties": {
                                              "amount": {
                                                "name": "amount",
                                                "description": "Tax amount",
                                                "type": "string",
                                                "example": "18.00"
                                              },
                                              "currency_code": {
                                                "name": "currency_code",
                                                "description": "Currency",
                                                "type": "string",
                                                "example": "USD"
                                              }
                                            },
                                            "example": {
                                              "currency_code": "USD",
                                              "amount": "18.00"
                                            }
                                          },
                                          "shop_money": {
                                            "name": "shop_money",
                                            "description": "Store currency",
                                            "type": "object",
                                            "properties": {
                                              "currency_code": {
                                                "name": "currency_code",
                                                "description": "Currency",
                                                "type": "string",
                                                "example": "USD"
                                              },
                                              "amount": {
                                                "name": "amount",
                                                "description": "Tax amount",
                                                "type": "string",
                                                "example": "18.00"
                                              }
                                            },
                                            "example": {
                                              "currency_code": "USD",
                                              "amount": "18.00"
                                            }
                                          }
                                        },
                                        "example": {
                                          "shop_money": {
                                            "amount": "18.00",
                                            "currency_code": "USD"
                                          },
                                          "presentment_money": {
                                            "amount": "18.00",
                                            "currency_code": "USD"
                                          }
                                        }
                                      },
                                      "rate": {
                                        "name": "rate",
                                        "description": "Tax rate",
                                        "type": "double",
                                        "example": 10
                                      }
                                    },
                                    "example": {
                                      "rate": 10,
                                      "title": "CNMP",
                                      "price": "18.00",
                                      "price_set": {
                                        "presentment_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        },
                                        "shop_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        }
                                      }
                                    }
                                  },
                                  "example": [
                                    {
                                      "price": "18.00",
                                      "price_set": {
                                        "presentment_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        },
                                        "shop_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        }
                                      },
                                      "rate": 10,
                                      "title": "CNMP"
                                    }
                                  ]
                                },
                                "taxable": {
                                  "name": "taxable",
                                  "description": "Product incl . : false、true",
                                  "type": "boolean",
                                  "example": true
                                },
                                "fulfillment_service": {
                                  "name": "fulfillment_service",
                                  "description": "Logistics company name",
                                  "type": "string",
                                  "example": "Sf international"
                                },
                                "variant_title": {
                                  "name": "variant_title",
                                  "description": "Product attribute value , multiple divided by \" / \"",
                                  "type": "string",
                                  "example": "L/Red"
                                },
                                "product_id": {
                                  "name": "product_id",
                                  "description": "Spu serial number , Product unique identification number",
                                  "type": "string",
                                  "example": "16056898121352174690861487"
                                },
                                "sku": {
                                  "name": "sku",
                                  "description": "Merchant custom number",
                                  "type": "string",
                                  "example": "SKU1234"
                                },
                                "fulfillment_status": {
                                  "name": "fulfillment_status",
                                  "description": "Product delivery status : fulfilled- shipped ; partial- partially shipped ; null- not shipped",
                                  "type": "string",
                                  "example": "fulfilled"
                                },
                                "grams": {
                                  "name": "grams",
                                  "description": "Product weight ( grams )",
                                  "type": "double",
                                  "example": 1
                                },
                                "image_url": {
                                  "name": "image_url",
                                  "description": "Product link url",
                                  "type": "string",
                                  "example": "https://image.shopline.com/abc.jpg"
                                },
                                "quantity": {
                                  "name": "quantity",
                                  "description": "Product quantity",
                                  "type": "string",
                                  "example": "1"
                                },
                                "fulfillable_quantity": {
                                  "name": "fulfillable_quantity",
                                  "description": "Remaining Product number of required",
                                  "type": "integer",
                                  "example": 1
                                },
                                "gift_card": {
                                  "name": "gift_card",
                                  "description": "Wei for gift cards or not : false、true",
                                  "type": "boolean",
                                  "example": true
                                },
                                "attribute": {
                                  "name": "attribute",
                                  "description": "Product attribute information : name-attribute value , multiple attribute values are measured comma",
                                  "type": "string",
                                  "example": "Color-red , size-x"
                                },
                                "name": {
                                  "name": "name",
                                  "description": "SKU title, same as title",
                                  "type": "string",
                                  "example": "It's good Product"
                                },
                                "price": {
                                  "name": "price",
                                  "description": "Product selling price , Product detail page sale price",
                                  "type": "string",
                                  "example": "100.0"
                                },
                                "location_id": {
                                  "name": "location_id",
                                  "description": "1 ) pick up location unique no .2 ) non-local Product location information",
                                  "type": "string",
                                  "example": "5327026538935748524"
                                },
                                "vendor": {
                                  "name": "vendor",
                                  "description": "Product supplier",
                                  "type": "string",
                                  "example": "Product supplier"
                                },
                                "requires_shipping": {
                                  "name": "requires_shipping",
                                  "description": "Product need to be shipped : false、true",
                                  "type": "string",
                                  "example": "true"
                                }
                              },
                              "example": {
                                "sku": "SKU1234",
                                "fulfillment_status": "fulfilled",
                                "price": "100.0",
                                "id": "405",
                                "quantity": "1",
                                "image_url": "https://image.shopline.com/abc.jpg",
                                "product_id": "16056898121352174690861487",
                                "fulfillable_quantity": 1,
                                "name": "It's good Product",
                                "properties": [
                                  {
                                    "urls": [
                                      "https://image.shopline.com"
                                    ],
                                    "value": "Freedom",
                                    "name": "Text",
                                    "type": "text"
                                  }
                                ],
                                "requires_shipping": "true",
                                "location_id": "5327026538935748524",
                                "tags": "sales",
                                "grams": 1,
                                "tax_lines": [
                                  {
                                    "price_set": {
                                      "presentment_money": {
                                        "amount": "18.00",
                                        "currency_code": "USD"
                                      },
                                      "shop_money": {
                                        "amount": "18.00",
                                        "currency_code": "USD"
                                      }
                                    },
                                    "rate": 10,
                                    "title": "CNMP",
                                    "price": "18.00"
                                  }
                                ],
                                "variant_id": "18056898121355865678441487",
                                "gift_card": true,
                                "vendor": "Product supplier",
                                "attribute": "Color-red , size-x",
                                "fulfillment_service": "Sf international",
                                "title": "It's good Product",
                                "variant_title": "L/Red",
                                "taxable": true
                              }
                            },
                            "quantity": {
                              "name": "quantity",
                              "description": "Shipping quantity of invoice",
                              "type": "integer",
                              "example": 2
                            }
                          },
                          "example": {
                            "line_item": {
                              "variant_id": "18056898121355865678441487",
                              "quantity": "1",
                              "title": "It's good Product",
                              "tax_lines": [
                                {
                                  "price": "18.00",
                                  "price_set": {
                                    "presentment_money": {
                                      "amount": "18.00",
                                      "currency_code": "USD"
                                    },
                                    "shop_money": {
                                      "amount": "18.00",
                                      "currency_code": "USD"
                                    }
                                  },
                                  "rate": 10,
                                  "title": "CNMP"
                                }
                              ],
                              "fulfillment_status": "fulfilled",
                              "fulfillment_service": "Sf international",
                              "location_id": "5327026538935748524",
                              "properties": [
                                {
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "Freedom",
                                  "name": "Text",
                                  "type": "text"
                                }
                              ],
                              "grams": 1,
                              "taxable": true,
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "attribute": "Color-red , size-x",
                              "sku": "SKU1234",
                              "product_id": "16056898121352174690861487",
                              "fulfillable_quantity": 1,
                              "gift_card": true,
                              "id": "405",
                              "tags": "sales",
                              "variant_title": "L/Red",
                              "name": "It's good Product",
                              "requires_shipping": "true",
                              "price": "100.0",
                              "vendor": "Product supplier"
                            },
                            "quantity": 2
                          }
                        },
                        "id": {
                          "name": "id",
                          "description": "Return Product line number",
                          "type": "string",
                          "example": "RDP5860580372212396041"
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "Return order Product number of returns",
                          "type": "integer",
                          "example": 1
                        }
                      },
                      "example": {
                        "id": "RDP5860580372212396041",
                        "quantity": 1,
                        "fulfillment_id": "22058605790725653626950942",
                        "fulfillment_line_item": {
                          "quantity": 2,
                          "line_item": {
                            "properties": [
                              {
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "Freedom",
                                "name": "Text",
                                "type": "text"
                              }
                            ],
                            "tax_lines": [
                              {
                                "rate": 10,
                                "title": "CNMP",
                                "price": "18.00",
                                "price_set": {
                                  "presentment_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  },
                                  "shop_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  }
                                }
                              }
                            ],
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "location_id": "5327026538935748524",
                            "fulfillment_service": "Sf international",
                            "taxable": true,
                            "fulfillable_quantity": 1,
                            "grams": 1,
                            "variant_title": "L/Red",
                            "gift_card": true,
                            "price": "100.0",
                            "fulfillment_status": "fulfilled",
                            "attribute": "Color-red , size-x",
                            "name": "It's good Product",
                            "title": "It's good Product",
                            "product_id": "16056898121352174690861487",
                            "sku": "SKU1234",
                            "tags": "sales",
                            "vendor": "Product supplier",
                            "id": "405",
                            "quantity": "1",
                            "requires_shipping": "true",
                            "variant_id": "18056898121355865678441487"
                          }
                        }
                      }
                    },
                    "example": [
                      {
                        "fulfillment_id": "22058605790725653626950942",
                        "fulfillment_line_item": {
                          "line_item": {
                            "sku": "SKU1234",
                            "requires_shipping": "true",
                            "price": "100.0",
                            "grams": 1,
                            "vendor": "Product supplier",
                            "product_id": "16056898121352174690861487",
                            "fulfillment_status": "fulfilled",
                            "properties": [
                              {
                                "name": "Text",
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "Freedom"
                              }
                            ],
                            "gift_card": true,
                            "id": "405",
                            "name": "It's good Product",
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "fulfillment_service": "Sf international",
                            "location_id": "5327026538935748524",
                            "tags": "sales",
                            "variant_id": "18056898121355865678441487",
                            "variant_title": "L/Red",
                            "taxable": true,
                            "fulfillable_quantity": 1,
                            "tax_lines": [
                              {
                                "title": "CNMP",
                                "price": "18.00",
                                "price_set": {
                                  "shop_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  },
                                  "presentment_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  }
                                },
                                "rate": 10
                              }
                            ],
                            "title": "It's good Product",
                            "attribute": "Color-red , size-x",
                            "quantity": "1"
                          },
                          "quantity": 2
                        },
                        "id": "RDP5860580372212396041",
                        "quantity": 1
                      }
                    ]
                  },
                  "return_reason": {
                    "name": "return_reason",
                    "description": "Return reason",
                    "type": "string",
                    "example": "no reason"
                  }
                },
                "example": {
                  "return_reason": "no reason",
                  "status": "OPEN",
                  "created_at": "2022-11-04T10:18:46+00:00",
                  "id": "2605860580357012238342",
                  "order_id": "21058605762597644309430942",
                  "return_line_items": [
                    {
                      "fulfillment_id": "22058605790725653626950942",
                      "fulfillment_line_item": {
                        "line_item": {
                          "title": "It's good Product",
                          "vendor": "Product supplier",
                          "gift_card": true,
                          "id": "405",
                          "fulfillment_status": "fulfilled",
                          "requires_shipping": "true",
                          "variant_id": "18056898121355865678441487",
                          "name": "It's good Product",
                          "fulfillment_service": "Sf international",
                          "location_id": "5327026538935748524",
                          "properties": [
                            {
                              "urls": [
                                "https://image.shopline.com"
                              ],
                              "value": "Freedom",
                              "name": "Text",
                              "type": "text"
                            }
                          ],
                          "image_url": "https://image.shopline.com/abc.jpg",
                          "product_id": "16056898121352174690861487",
                          "tax_lines": [
                            {
                              "rate": 10,
                              "title": "CNMP",
                              "price": "18.00",
                              "price_set": {
                                "presentment_money": {
                                  "currency_code": "USD",
                                  "amount": "18.00"
                                },
                                "shop_money": {
                                  "amount": "18.00",
                                  "currency_code": "USD"
                                }
                              }
                            }
                          ],
                          "quantity": "1",
                          "fulfillable_quantity": 1,
                          "price": "100.0",
                          "attribute": "Color-red , size-x",
                          "variant_title": "L/Red",
                          "grams": 1,
                          "taxable": true,
                          "sku": "SKU1234",
                          "tags": "sales"
                        },
                        "quantity": 2
                      },
                      "id": "RDP5860580372212396041",
                      "quantity": 1
                    }
                  ]
                }
              }
            },
            "example": {
              "return": {
                "created_at": "2022-11-04T10:18:46+00:00",
                "id": "2605860580357012238342",
                "order_id": "21058605762597644309430942",
                "return_line_items": [
                  {
                    "quantity": 1,
                    "fulfillment_id": "22058605790725653626950942",
                    "fulfillment_line_item": {
                      "quantity": 2,
                      "line_item": {
                        "tags": "sales",
                        "image_url": "https://image.shopline.com/abc.jpg",
                        "properties": [
                          {
                            "name": "Text",
                            "type": "text",
                            "urls": [
                              "https://image.shopline.com"
                            ],
                            "value": "Freedom"
                          }
                        ],
                        "requires_shipping": "true",
                        "taxable": true,
                        "id": "405",
                        "sku": "SKU1234",
                        "fulfillable_quantity": 1,
                        "location_id": "5327026538935748524",
                        "tax_lines": [
                          {
                            "rate": 10,
                            "title": "CNMP",
                            "price": "18.00",
                            "price_set": {
                              "presentment_money": {
                                "currency_code": "USD",
                                "amount": "18.00"
                              },
                              "shop_money": {
                                "amount": "18.00",
                                "currency_code": "USD"
                              }
                            }
                          }
                        ],
                        "product_id": "16056898121352174690861487",
                        "gift_card": true,
                        "title": "It's good Product",
                        "quantity": "1",
                        "price": "100.0",
                        "name": "It's good Product",
                        "attribute": "Color-red , size-x",
                        "fulfillment_service": "Sf international",
                        "vendor": "Product supplier",
                        "variant_title": "L/Red",
                        "variant_id": "18056898121355865678441487",
                        "grams": 1,
                        "fulfillment_status": "fulfilled"
                      }
                    },
                    "id": "RDP5860580372212396041"
                  }
                ],
                "return_reason": "no reason",
                "status": "OPEN"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/return/create.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Create a Return",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_return"
  ]
}
```